CREATE TABLE hwr_wlns_elig_profile (
    WLNS_ELIG_ID                NUMBER(18, 0),
    WLNS_OBJ_TYPE               VARCHAR2(400)    NOT NULL,
    WLNS_OBJ_ID                 NUMBER(18, 0),
    ELIG_PRFL_NAME              VARCHAR2(800)    NOT NULL,
    ELIG_PRFL_ID                NUMBER(18, 0),
    ELIG_OBJ_ID                 NUMBER(18, 0)    NOT NULL,
    ELIG_ESS_JOB_REQUEST_ID     NUMBER(18, 0)    NOT NULL,
    IS_PRFL_RESULT_AVAILABLE    NUMBER(18, 0)    NOT NULL,
    LAST_PROCESSED_DATE         TIMESTAMP(6) ,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    WLNS_ELIG_ID                NUMBER(18, 0),
    WLNS_OBJ_TYPE               VARCHAR2(400)    NOT NULL,
    WLNS_OBJ_ID                 NUMBER(18, 0),
    ELIG_PRFL_NAME              VARCHAR2(800)    NOT NULL,
    ELIG_PRFL_ID                NUMBER(18, 0),
    ELIG_OBJ_ID                 NUMBER(18, 0)    NOT NULL,
    ELIG_ESS_JOB_REQUEST_ID     NUMBER(18, 0)    NOT NULL,
    IS_PRFL_RESULT_AVAILABLE    NUMBER(18, 0)    NOT NULL,
    LAST_PROCESSED_DATE         TIMESTAMP(6) ,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    CONSTRAINT pk_hwr_wlns_elig_profile PRIMARY KEY (WLNS_ELIG_ID, WLNS_OBJ_ID, ELIG_PRFL_ID, WLNS_ELIG_ID, WLNS_OBJ_ID, ELIG_PRFL_ID)
);
